#!/bin/sh
# -*-mode: sh; tab-width: 8; coding: utf-8-unix -*-

if [ $? -eq 0 ] ; then
    # filter
    grep "^..*http" | sed -e "s@^'@@"  -e "s@' .*@@" -e 's@^tor+https@https@'
    exit 0
  fi
for elt in "$@" ; do
    base=$( basename $elt .elts )
    [ -s $base.urls ] && continue
    sh $0 < $elt  > $base.urls
    [ -s  $base.urls ] || rm  $base.urls
  done 
